Opened 9 years ago

Closed 9 years ago

Last modified 8 years ago

#3541 closed defect (fixed)

epdfview-0.1.8 needs patches to build and to work correctly.

Reported by: ken@… Owned by: ken@…
Priority: normal Milestone:
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

It no longer builds against cups-1.6. and gentoo are throwing in the towel: http://www.gossamer-threads.com/lists/gentoo/dev/258096

Fortunately, fedora bugzilla has a fix https://bugzilla.redhat.com/show_bug.cgi?id=841880 although they haven't applied it.

That builds (with the existing glib sed), but on my intel machine the colours of (at least some) PDFs are wrong - specifically, red displays as blue. Fedora have a patch for that too, from upstream http://trac.emma-soft.com/epdfview/changeset/367/trunk but that needs -p0 to apply it.

Since I've got to rediff that, I've put all three parts into a combined patch. AFAICS the 1.6 fix will do nothing if somebody tries to build epdfview against cups-1.5 or earlier. Will take out the sed.

Change History (3)

comment:1 by ken@…, 9 years ago

Status: newassigned

comment:2 by ken@…, 9 years ago

Resolution: fixed
Status: assignedclosed

comment:3 by bdubbs@…, 8 years ago

Milestone: current

Milestone current deleted

Note: See TracTickets for help on using tickets.